package WEB-INF.classes.wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseDetailBean;

public class HrmAppraisalKPADtlBean extends BaseDetailBean implements Serializable {
  private String txtSrlNo;
  
  private String txtKpaCode;
  
  private String txtDescription;
  
  private String mandatoryFlag;
  
  private String txtWeightage;
  
  private String kpaCodeId;
  
  private String disabtxtSrlNo;
  
  private String disabtxtKpaCode;
  
  private String disabtxtDescription;
  
  private String disabmandatoryFlag;
  
  private String disabtxtWeightage;
  
  public String getTxtSrlNo() {
    return this.txtSrlNo;
  }
  
  public void setTxtSrlNo(String newTxtSrlNo) {
    this.txtSrlNo = newTxtSrlNo;
  }
  
  public String getTxtKpaCode() {
    return this.txtKpaCode;
  }
  
  public void setTxtKpaCode(String newTxtKpaCode) {
    this.txtKpaCode = newTxtKpaCode;
  }
  
  public String getTxtDescription() {
    return this.txtDescription;
  }
  
  public void setTxtDescription(String newTxtDescription) {
    this.txtDescription = newTxtDescription;
  }
  
  public String getMandatoryFlag() {
    return this.mandatoryFlag;
  }
  
  public void setMandatoryFlag(String newMandatoryFlag) {
    this.mandatoryFlag = newMandatoryFlag;
  }
  
  public String getTxtWeightage() {
    return this.txtWeightage;
  }
  
  public void setTxtWeightage(String newTxtWeightage) {
    this.txtWeightage = newTxtWeightage;
  }
  
  public String getKpaCodeId() {
    return this.kpaCodeId;
  }
  
  public void setKpaCodeId(String newKpaCodeId) {
    this.kpaCodeId = newKpaCodeId;
  }
  
  public String getDisabtxtSrlNo() {
    return this.disabtxtSrlNo;
  }
  
  public void setDisabtxtSrlNo(String newDisabtxtSrlNo) {
    this.disabtxtSrlNo = newDisabtxtSrlNo;
  }
  
  public String getDisabtxtKpaCode() {
    return this.disabtxtKpaCode;
  }
  
  public void setDisabtxtKpaCode(String newDisabtxtKpaCode) {
    this.disabtxtKpaCode = newDisabtxtKpaCode;
  }
  
  public String getDisabtxtDescription() {
    return this.disabtxtDescription;
  }
  
  public void setDisabtxtDescription(String newDisabtxtDescription) {
    this.disabtxtDescription = newDisabtxtDescription;
  }
  
  public String getDisabmandatoryFlag() {
    return this.disabmandatoryFlag;
  }
  
  public void setDisabmandatoryFlag(String newDisabmandatoryFlag) {
    this.disabmandatoryFlag = newDisabmandatoryFlag;
  }
  
  public String getDisabtxtWeightage() {
    return this.disabtxtWeightage;
  }
  
  public void setDisabtxtWeightage(String newDisabtxtWeightage) {
    this.disabtxtWeightage = newDisabtxtWeightage;
  }
}
